Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.event
Class SequenceReceiver

    java.lang.Object
      net.sf.saxon.event.SequenceReceiver

All Implemented Interfaces:
  Result, Receiver

Direct Known Subclasses:
  ComplexContentOutputter, ProxyReceiver, SequenceWrapper, SequenceWriter, Sink, TeeOutputter, TreeReceiver

    public abstract class SequenceReceiver

extends Object
implements Receiver

SequenceReceiver: this extension of the Receiver interface is used when processing a sequence constructor. It differs from the Receiver in allowing items (atomic values or nodes) to be added to the sequence, not just tree-building events.

Field Summary
`protected PipelineConfiguration` | `pipelineConfiguration`
`protected boolean` | `previousAtomic`
`protected String` | `systemId`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`SequenceReceiver(PipelineConfiguration pipe)` Create a SequenceReceiver

Method Summary
`void` | `append(Item item)` Append an item (node or atomic value) to the output
`abstract void` | `append(Item item, int locationId, int copyNamespaces)` Append an arbitrary item (node or atomic value) to the output
`Configuration` | `getConfiguration()` Get the Saxon Configuration
`NamePool` | `getNamePool()` Get the name pool
`PipelineConfiguration` | `getPipelineConfiguration()` Get the pipeline configuration
`String` | `getSystemId()` Get the system ID
`void` | `open()` Start the output process
`void` | `setPipelineConfiguration(PipelineConfiguration pipelineConfiguration)` Set the pipeline configuration
`void` | `setSystemId(String systemId)` Set the system ID
`void` | `setUnparsedEntity(String name, String systemID, String publicID)` Notify an unparsed entity URI.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.saxon.event.Receiver
`attribute, characters, close, comment, endDocument, endElement, namespace, processingInstruction, startContent, startDocument, startElement, usesTypeAnnotations`

Field Detail

### previousAtomic

    protected boolean previousAtomic

### pipelineConfiguration

    protected PipelineConfiguration pipelineConfiguration

### systemId

    protected String systemId

Constructor Detail

### SequenceReceiver

    public SequenceReceiver(PipelineConfiguration pipe)

  Create a SequenceReceiver

  Parameters:
    `pipe` - the pipeline configuration

Method Detail

### getPipelineConfiguration

    public final PipelineConfiguration getPipelineConfiguration()

  Description copied from interface: `Receiver`
  Get the pipeline configuration

  Specified by:
    `getPipelineConfiguration` in interface `Receiver`
  Returns:
    the pipeline configuration

### setPipelineConfiguration

    public void setPipelineConfiguration(PipelineConfiguration pipelineConfiguration)

  Description copied from interface: `Receiver`
  Set the pipeline configuration

  Specified by:
    `setPipelineConfiguration` in interface `Receiver`
  Parameters:
    `pipelineConfiguration` - the pipeline configuration

### getConfiguration

    public final Configuration getConfiguration()

  Get the Saxon Configuration

  Returns:
    the Configuration

### setSystemId

    public void setSystemId(String systemId)

  Set the system ID

  Specified by:
    `setSystemId` in interface `Result`
  Specified by:
    `setSystemId` in interface `Receiver`
  Parameters:
    `systemId` - the URI used to identify the tree being passed across this interface

### getSystemId

    public String getSystemId()

  Get the system ID

  Specified by:
    `getSystemId` in interface `Result`
  Returns:
    the system ID that was supplied using the setSystemId() method

### setUnparsedEntity

    public void setUnparsedEntity(String name,
                                  String systemID,
                                  String publicID)
                           throws XPathException

  Notify an unparsed entity URI.

  Specified by:
    `setUnparsedEntity` in interface `Receiver`
  Parameters:
    `name` - The name of the unparsed entity
    `systemID` - The system identifier of the unparsed entity
    `publicID` - The public identifier of the unparsed entity
  Throws:
    `XPathException` - if an error occurs

### open

    public void open()
              throws XPathException

  Start the output process

  Specified by:
    `open` in interface `Receiver`
  Throws:
    `XPathException` - if an error occurs

### append

    public abstract void append(Item item,
                                int locationId,
                                int copyNamespaces)
                         throws XPathException

  Append an arbitrary item (node or atomic value) to the output

  Parameters:
    `item` - the item to be appended
    `locationId` - the location of the calling instruction, for diagnostics
    `copyNamespaces` - if the item is an element node, this indicates whether its namespaces need to be copied. Values are `NodeInfo.ALL_NAMESPACES`, `NodeInfo.LOCAL_NAMESPACES`, `NodeInfo.NO_NAMESPACES`
  Throws:
    `XPathException` - if the operation fails

### append

    public void append(Item item)
                throws XPathException

  Append an item (node or atomic value) to the output

  Parameters:
    `item` - the item to be appended
  Throws:
    `XPathException` - if the operation fails

### getNamePool

    public NamePool getNamePool()

  Get the name pool

  Returns:
    the Name Pool that was supplied using the setConfiguration() method

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.